#include "window.h"

using namespace std;

using namespace morpheo::tools::viewer::parser;
using namespace morpheo::tools::viewer::bdd;
using namespace morpheo::tools::viewer::graphics;

void Window::winformations()
{
  winfo = new QWidget();
  informations = new QBoxLayout(QBoxLayout::TopToBottom,0);
  winfo->setWindowTitle("informations");
  winfo->setFixedSize(350,292);
  winfo->move(628,50);
  lname = new QLabel();
  lname->setText("");
  comment = new QLineEdit();
  comment->setText("");
  informations->addWidget(lname);
  informations->addWidget(comment);
  winfo->setLayout(informations);
  winfo->show();
}

void Window::write_comment(string cm){
  QString c = QString::fromStdString(cm);
  comment->setText(c);
}

void Window::write_name(string name){
  QString n = QString::fromStdString(name);
  lname->setText(n);
}
